| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkDebug::TestRunResult Class Referencefinal

Holds informations about a test execution result. More...

## Public Member Functions
| TestRunResult () noexcept
| TestRunResult (const nkMemory::StringView &rejectionReason) noexcept
| TestRunResult (const TestRunException &exception) noexcept
nkMemory::StringView | getRejectionReason () const
nkMemory::BufferView< TestStackLevel > | getRejectionStack () const
bool | getSuccess () const
TestRunResult & | operator= (const TestRunException &exception) noexcept

## Detailed Description

Holds informations about a test execution result.

## Constructor & Destructor Documentation

## ◆ TestRunResult() [1/3]

nkDebug::TestRunResult::TestRunResult | ( |  | ) |
| noexcept

Default constructor, defaulting to a successful result.

## ◆ TestRunResult() [2/3]

nkDebug::TestRunResult::TestRunResult | ( | const nkMemory::StringView & | rejectionReason | ) |
| noexcept

Rejection constructor.

Parameters

  rejectionReason | The reason for rejecting the test.

## ◆ TestRunResult() [3/3]

nkDebug::TestRunResult::TestRunResult | ( | const TestRunException & | exception | ) |
| noexcept

Translation constructor.

Parameters

  exception | The exception to translate from.

## Member Function Documentation

## ◆ getRejectionReason()

nkMemory::StringView nkDebug::TestRunResult::getRejectionReason | ( |  | ) | const

Returns
  The rejection reason provided.

## ◆ getRejectionStack()

nkMemory::BufferView<TestStackLevel> nkDebug::TestRunResult::getRejectionStack | ( |  | ) | const

Returns
  The stack at failure time if an exception has been provided during construction.

## ◆ getSuccess()

bool nkDebug::TestRunResult::getSuccess | ( |  | ) | const

Returns
  Whether the result is a success (true) or not (false).

## ◆ operator=()

TestRunResult& nkDebug::TestRunResult::operator= | ( | const TestRunException & | exception | ) |
| noexcept

Overload for exception assignment operator.

Parameters

  exception | The exception to translate from.

Returns
  The calling instance once updated.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsDebug/Testing/Data/TestRunResult.h